from django  import forms
from .models import ClientesA24
from datetime import datetime

class ClienteForm_IMMEX(forms.ModelForm):
    fecha_baja = forms.DateField(        
        required=False,
        initial=datetime.now(),
        input_formats=["%Y-%m-%d"],
        widget=forms.DateInput(attrs={'type':'date'},format="%Y-%m-%d")
    )
    
    class Meta:
        model = ClientesA24
        fields = ('RFC','Nombre','Activo','fecha_baja', )

    def clean(self):
        super(ClienteForm_IMMEX,self).clean()
        Activo = self.cleaned_data.get("Activo")
        fecha_baja = self.cleaned_data.get("fecha_baja")
        
        if Activo and fecha_baja:
            self._errors['fecha_baja'] = self.error_class(["El parametro activo no puede estar seleccionado si hay fecha de baja"])        
        return self.cleaned_data    